#
# spec file for package python-pyPEG2
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%define _name   pyPEG2
Name:           python-pyPEG2
Version:        2.15.2
Release:        1.1
License:        GPL-2.0
Summary:        PEG Parser-Interpreter framework for Python
Url:            https://fdik.org/pyPEG2
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  python
BuildRequires:  python-lxml
Requires:       python-lxml
%if 0%{?suse_version} > 1120 && !(0%{?suse_version} == 1315 && 0%{?is_opensuse})
BuildRequires:  python-nose
%endif
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
pyPEG is a plain and simple intrinsic parser interpreter framework
for Python. It is based on Parsing Expression Grammar, PEG.
With pyPEG you can parse many formal languages in a very easy way.

%prep
%setup -q -n %{_name}-%{version}

%build
python2 setup.py build

%install
python2 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%if 0%{?suse_version} > 1120 && !(0%{?suse_version} == 1315 && 0%{?is_opensuse})
%check
nosetests-%{py_ver}
%endif

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/pypeg2/
%{python_sitelib}/%{_name}-*

%changelog
* Thu Apr 21 2016 sor.alexei@meowr.ru
- Initial package.
